---
title: "Set Channel Description"
slug: "set-channel-description"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Channel Description

Post/api/v1/channels.setDescription

Set the description for a channel. Permission required: `edit-room`.

### Changelog

| Version | Description |
| --- | --- |
| 0.48.4 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='d03479bc-5e74-4376-925c-98756290c4be'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='cb53956a-7b34-4b59-b114-90ee98adc234'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX",
  "description": "Test out everything"
}
```

object  roomIdstring    Required

The channel ID.

descriptionstring    Required

The description to set for the channel.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='7be724f8-cded-48d2-9760-68d49649588b'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b09c50ad-365d-4692-8af9-b1eea1187a24'>Success</option>
</select>Success

```json
{
  "description": "Testing the room",
  "success": true
}
```

object  descriptionstring    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='561a915d-1d27-4878-82dc-913c53c9959a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='75edaa28-c9c2-4136-b497-ae12e33c4ce3'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
